Browse Source

Simplified debian config

Bob Mottram 1 month ago
parent
commit
cde8b947da
2 changed files with 95 additions and 91 deletions
  1. 2 91
      distros/debian.sh
  2. 93 0
      distros/old_debian.sh

+ 2 - 91
distros/debian.sh

@@ -1,93 +1,4 @@
 #!/bin/bash
-# On Trisquel 7
 
-CURR_DIR=$(pwd)
-EMACS_VERSION=26.2
-
-if [ ! -d ~/Downloads ]; then
-    mkdir ~/Downloads
-fi
-
-sudo apt-get -y remove emacs24
-sudo apt-get -y install build-essential gdb libssl-dev clang devscripts mpd mpg321 music123 vlc
-sudo apt-get -y install curl wget libgnutls28-dev gnutls-bin qt5-default shellcheck
-sudo apt-get -y install tor info libdbus-1-dev
-sudo apt-get -y install libgtk-3-dev libjpeg-dev libxpm-dev libgif-dev libtiff5-dev
-sudo apt-get -y install libncurses5-dev texinfo
-echo 'N' | sudo apt-get -yq -t stretch-backports install tor
-systemctl restart tor
-
-sudo apt-get -y install keepassx android-tools* gnuplot libsqlite3-dev graphviz xdot calibre
-sudo apt-get build-dep emacs24
-sudo apt-get install busybox
-sudo apt-get install --reinstall cryptsetup
-
-#su -c 'echo "deb ftp://ftp.gajim.org/debian unstable main" > /etc/apt/sources.list.d/gajim.list'
-#sudo apt-get update
-#sudo apt-get -y install gajim-dev-keyring
-#sudo apt-get -y install python-dev python-pip gajim-nightly
-#mkdir ~/.local/share/gajim/plugins -p
-#cd ~/.local/share/gajim/plugins || exit 35467835
-#git clone https://github.com/omemo/gajim-omemo
-#sudo pip install python-axolotl==0.1.35
-#sudo pip install cryptography
-#sudo pip install protobuf==2.6.1
-
-cd ~/Downloads || exit 364836585
-if [ ! -f emacs-${EMACS_VERSION}.tar.gz ]; then
-  wget http://ftp.gnu.org/gnu/emacs/emacs-${EMACS_VERSION}.tar.gz
-fi
-hashval=$(sha256sum emacs-${EMACS_VERSION}.tar.gz | awk -F ' ' '{print $1}')
-if [[ "$hashval" != "4f99e52a38a737556932cc57479e85c305a37a8038aaceb5156625caf102b4eb" ]]; then
-    echo "Incorrect hash $hashval"
-    rm emacs-${EMACS_VERSION}.tar.gz
-    exit 7892363
-fi
-tar -xzvf emacs-${EMACS_VERSION}.tar.gz
-cd emacs-${EMACS_VERSION} || exit 2468426
-./autogen.sh
-./configure --with-gnutls=no
-make bootstrap
-make
-sudo make install
-if [ ! -f /usr/local/bin/emacs ]; then
-    echo 'Emacs was not installed'
-    exit 78352
-fi
-cp /usr/local/bin/emacs /usr/bin/emacs
-
-echo '[Desktop Entry]' > /tmp/Emacs.desktop
-echo 'Version=1.0' >> /tmp/Emacs.desktop
-echo 'Name=Emacs-24' >> /tmp/Emacs.desktop
-echo "Exec=env UBUNTU_MENUPROXY=0 /usr/local/bin/emacs-$EMACS_VERSION" >> /tmp/Emacs.desktop
-echo 'Terminal=false' >> /tmp/Emacs.desktop
-echo 'Icon=emacs' >> /tmp/Emacs.desktop
-echo 'Type=Application' >> /tmp/Emacs.desktop
-echo 'Categories=IDE' >> /tmp/Emacs.desktop
-echo 'X-Ayatana-Desktop-Shortcuts=NewWindow' >> /tmp/Emacs.desktop
-echo '[NewWindow Shortcut Group]' >> /tmp/Emacs.desktop
-echo 'Name=New Window' >> /tmp/Emacs.desktop
-echo 'TargetEnvironment=Unity' >> /tmp/Emacs.desktop
-sudo mv /tmp/Emacs.desktop /usr/share/applications/Emacs.desktop
-
-# Install git
-GIT_VERSION=2.19.1
-sudo apt-get -y install build-essential libssl-dev libcurl4-gnutls-dev libexpat1-dev gettext unzip
-if [ -f git.zip ]; then
-    rm git.zip
-fi
-cd ~/Downloads || exit 246824
-wget https://github.com/git/git/archive/v$GIT_VERSION.zip -O git.zip
-if [ -f git.zip ]; then
-    sudo apt-get -y remove git libcurl4-openssl-dev
-    unzip git.zip
-    cd git-${GIT_VERSION} || exit 3568356
-    make prefix=/usr/local all
-    sudo make prefix=/usr/local install
-    sudo cp /usr/local/bin/git /usr/bin/git
-fi
-cd "$CURR_DIR" || exit 356835
-cd ..
-./install.sh
-git config --global core.editor emacs
-exit 0
+sudo apt-get -y install emacs elpa-magit elpa-org elpa-solarized-theme elpa-monokai-theme
+cp ../emacs ~/.emacs

+ 93 - 0
distros/old_debian.sh

@@ -0,0 +1,93 @@
+#!/bin/bash
+# On Trisquel 7
+
+CURR_DIR=$(pwd)
+EMACS_VERSION=26.2
+
+if [ ! -d ~/Downloads ]; then
+    mkdir ~/Downloads
+fi
+
+sudo apt-get -y remove emacs24
+sudo apt-get -y install build-essential gdb libssl-dev clang devscripts mpd mpg321 music123 vlc
+sudo apt-get -y install curl wget libgnutls28-dev gnutls-bin qt5-default shellcheck
+sudo apt-get -y install tor info libdbus-1-dev
+sudo apt-get -y install libgtk-3-dev libjpeg-dev libxpm-dev libgif-dev libtiff5-dev
+sudo apt-get -y install libncurses5-dev texinfo
+echo 'N' | sudo apt-get -yq -t stretch-backports install tor
+systemctl restart tor
+
+sudo apt-get -y install keepassx android-tools* gnuplot libsqlite3-dev graphviz xdot calibre
+sudo apt-get build-dep emacs24
+sudo apt-get install busybox
+sudo apt-get install --reinstall cryptsetup
+
+#su -c 'echo "deb ftp://ftp.gajim.org/debian unstable main" > /etc/apt/sources.list.d/gajim.list'
+#sudo apt-get update
+#sudo apt-get -y install gajim-dev-keyring
+#sudo apt-get -y install python-dev python-pip gajim-nightly
+#mkdir ~/.local/share/gajim/plugins -p
+#cd ~/.local/share/gajim/plugins || exit 35467835
+#git clone https://github.com/omemo/gajim-omemo
+#sudo pip install python-axolotl==0.1.35
+#sudo pip install cryptography
+#sudo pip install protobuf==2.6.1
+
+cd ~/Downloads || exit 364836585
+if [ ! -f emacs-${EMACS_VERSION}.tar.gz ]; then
+  wget http://ftp.gnu.org/gnu/emacs/emacs-${EMACS_VERSION}.tar.gz
+fi
+hashval=$(sha256sum emacs-${EMACS_VERSION}.tar.gz | awk -F ' ' '{print $1}')
+if [[ "$hashval" != "4f99e52a38a737556932cc57479e85c305a37a8038aaceb5156625caf102b4eb" ]]; then
+    echo "Incorrect hash $hashval"
+    rm emacs-${EMACS_VERSION}.tar.gz
+    exit 7892363
+fi
+tar -xzvf emacs-${EMACS_VERSION}.tar.gz
+cd emacs-${EMACS_VERSION} || exit 2468426
+./autogen.sh
+./configure --with-gnutls=no
+make bootstrap
+make
+sudo make install
+if [ ! -f /usr/local/bin/emacs ]; then
+    echo 'Emacs was not installed'
+    exit 78352
+fi
+cp /usr/local/bin/emacs /usr/bin/emacs
+
+echo '[Desktop Entry]' > /tmp/Emacs.desktop
+echo 'Version=1.0' >> /tmp/Emacs.desktop
+echo 'Name=Emacs-24' >> /tmp/Emacs.desktop
+echo "Exec=env UBUNTU_MENUPROXY=0 /usr/local/bin/emacs-$EMACS_VERSION" >> /tmp/Emacs.desktop
+echo 'Terminal=false' >> /tmp/Emacs.desktop
+echo 'Icon=emacs' >> /tmp/Emacs.desktop
+echo 'Type=Application' >> /tmp/Emacs.desktop
+echo 'Categories=IDE' >> /tmp/Emacs.desktop
+echo 'X-Ayatana-Desktop-Shortcuts=NewWindow' >> /tmp/Emacs.desktop
+echo '[NewWindow Shortcut Group]' >> /tmp/Emacs.desktop
+echo 'Name=New Window' >> /tmp/Emacs.desktop
+echo 'TargetEnvironment=Unity' >> /tmp/Emacs.desktop
+sudo mv /tmp/Emacs.desktop /usr/share/applications/Emacs.desktop
+
+# Install git
+GIT_VERSION=2.19.1
+sudo apt-get -y install build-essential libssl-dev libcurl4-gnutls-dev libexpat1-dev gettext unzip
+if [ -f git.zip ]; then
+    rm git.zip
+fi
+cd ~/Downloads || exit 246824
+wget https://github.com/git/git/archive/v$GIT_VERSION.zip -O git.zip
+if [ -f git.zip ]; then
+    sudo apt-get -y remove git libcurl4-openssl-dev
+    unzip git.zip
+    cd git-${GIT_VERSION} || exit 3568356
+    make prefix=/usr/local all
+    sudo make prefix=/usr/local install
+    sudo cp /usr/local/bin/git /usr/bin/git
+fi
+cd "$CURR_DIR" || exit 356835
+cd ..
+./install.sh
+git config --global core.editor emacs
+exit 0